.\" Man page contributed by Dirk Eddelbuettel <edd@debian.org>
.\" and released under the GNU General Public License
.TH GSL-RANDIST 1 "" GNU
.SH NAME
gsl-randist - generate random samples from various distributions
.SH SYNOPSYS
.B gsl-randist seed n DIST param1 param2 [..]
.SH DESCRIPTION
.B gsl-randist 
is a demonstration program for the GNU Scientific Library.
It generates n random samples from the distribution DIST using the distribution
parameters param1, param2, ...
.SH EXAMPLE
Here is an example.  We generate 10000 random samples from a Cauchy
distribution with a width of 30 and histogram them over the range -100 to
100, using 200 bins.
 
     gsl-randist 0 10000 cauchy 30 | gsl-histogram -- -100 100 200 > histogram.dat
 
A plot of the resulting histogram will show the familiar shape of the
Cauchy distribution with fluctuations caused by the finite sample
size.

     awk '{print $1, $3 ; print $2, $3}' histogram.dat | graph -T X

.SH SEE ALSO
.BR gsl(3) ,
.BR gsl-histogram(1) .

.SH AUTHOR
.B gsl-randist 
was written by James Theiler and Brian Gough.
Copyright 1996-2000; for copying conditions see the GNU General
Public Licence. 

This manual page was added by the Dirk Eddelbuettel
<edd@debian.org>, the Debian GNU/Linux maintainer for
.BR GSL .
